<?xml version="1.0"?>
<doc>
<assembly>
<name>
samcore
</name>
</assembly>
<members>
<member name="M:samcore.Criptografia.f_str_desencriptarLogin(System.String@,System.String@,System.String)">
	<summary>
 obtiene el texto que esta encriptado para el usuario y la contraseña
 </summary>
	<param name="p_str_usuario"></param>
	<param name="p_str_contrasenia"></param>
	<param name="p_str_posx"></param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Criptografia.f_bol_existeArchivoEncripcionLogin">
	<summary>
 Valida existencia de archivo  RSA
 </summary>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Criptografia.f_str_encriptarSerial(System.String,System.String)">
	<summary>
 encripta el serial
 </summary>
	<param name="p_str_texto"></param>
	<param name="p_str_llave"></param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Criptografia.f_str_decriptar(System.String,System.String)">
	<summary>
 Convertir en private
 </summary>
	<param name="text"></param>
	<param name="p_licencia"></param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Criptografia.f_str_encriptar(System.String,System.String)">
	<summary>
 Encripta el valor usando como clave de cifrado la licencia expecificada
 </summary>
	<param name="text"></param>
	<param name="p_licencia"></param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Licencia.f_bol_esvalidaLicencia(System.Int32,System.String@)">
	<summary>
 Determina el estado de los minutos o usuarios concurrentes para validar contra la licencia 
 y así permitir o no el ingreso a la aplicación
 </summary>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Licencia.f_obj_infoProxy">
	<summary>
 Lee la información del proxy de la configuración en el genConfig
 </summary>
	<returns>Objeto Proxy. Nothing si no hay configuración</returns>
	<remarks>Formato del config: SERVIDORPROXY|\PUERTO|\USER|\PWD|\DOMINIO</remarks>
</member><member name="M:samcore.Licencia.f_str_obtenerValorConfiguracion(samcore.enu_claveConfiguracion)">
	<summary>
 Lee los datos de configuración de licencia
 </summary>
	<param name="p_enu_clave"></param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Licencia.f_bol_usuarioEsSuperAdministrador(System.Int32,System.String)">
	<summary>
 Si el usuario esta onfigurado como superadministrador
 </summary>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Licencia.f_str_actualizarKeySuperAdministrador(System.Int32,System.Int32,System.Int32,System.Boolean,System.Int32)">
	<summary>
 actuliza el key de superadministrador
 </summary>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Licencia.f_str_quitarKeySuperAdministrador(samcore.enu_claveConfiguracion,System.Int32,System.Int32)">
	<summary>
 remueve un superadministrador del key
 </summary>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Licencia.f_str_agregarKeySuperAdministrador(samcore.enu_claveConfiguracion,System.Int32,System.Int32)">
	<summary>
 agrega un superadministrador al key
 </summary>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Miscelanea.f_str_plural(System.String)">
	<summary>
 Devuelve una cadena en forma plural del texto dado
 </summary>
	<param name="p_str"></param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Miscelanea.f_dat_fechaSinHora(System.DateTime)">
	<summary>
 Retorna la fecha dada sin el componente de la hora
 </summary>
	<param name="p_dat"></param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Miscelanea.f_int_repeticiones(System.String,System.Collections.ArrayList)">
	<summary>
 Determina el número de repeticiones de una cadena en el arreglo
 </summary>
	<param name="p_str"></param>
	<param name="p_arr"></param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Miscelanea.f_str_campoToComas(System.Data.DataTable,System.String,System.String)">
	<summary>
 Devuelve una cadena separada por comas (u otro separador) con los valores del campo determinado en el parámetro 
 </summary>
	<param name="p_dtt"></param>
	<param name="p_str_campo"></param>
	<param name="p_str_separador"></param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Miscelanea.f_str_espacios(System.Int32)">
	<summary>
 Crear una cadena de N espacios html (nbsp)
 </summary>
	<param name="t_int"></param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Miscelanea.f_intV_crearLista(System.String)">
	<summary>
 Crea un arreglo de enteros a partir de un string
 </summary>
	<param name="p_str"></param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Miscelanea.f_dtt_diasSemana(System.Byte)">
	<summary>
 Listado de los días de la semana para enlazar en control.
 </summary>
	<param name="p_int_diaInicial">0 para iniciar el lunes</param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Miscelanea.f_bol_campoEnListado(System.String,System.String)">
	<summary>
 Determina si el string contiene dentro de su listado de campos, el campo dado
 Los campos vienen separados por coma (,)
 </summary>
	<param name="p_str_campoBuscado"></param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Miscelanea.f_str_decimalToBase(System.Double,System.Int32)">
	<summary>
	</summary>
	<param name="p_dbl_numeroDecimal"></param>
	<param name="p_int_base"></param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Miscelanea.f_str_textoLargoCompleto(System.String,System.Int32)">
	<summary>
 Deja salto de línea HTML (br) para no exceder ancho de columnas en textos largos
 </summary>
	<param name="p_str_texto"></param>
	<param name="p_tam"></param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Miscelanea.f_str_pathArchivoEncripcion(System.String)">
	<summary>
 El archivo donde se encuentra el XML con la clave RSA
 </summary>
	<param name="p_str_path">(System.Web.HttpContext.Current.Server.MapPath("../../plantillas/seguridad/"))</param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Miscelanea.f_str_redimencionarImagen(System.String,System.Int32,System.Int32)">
	<summary>
 Redimenciona una imagen en un fichero dado
 </summary>
	<param name="p_str_arch"></param>
	<param name="p_int_width"></param>
	<param name="p_int_height"></param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Miscelanea.ConvertXMLToDataSet(System.String)">
	<summary>
 Función para que convetir un string que representa un XML en un Dataset
 </summary>
	<param name="xmlData"></param>
	<returns></returns>
	<remarks>No se valida la estrucutra del String</remarks>
</member><member name="M:samcore.MiscelaneaBD.f_str_AsegurarSQL(System.String,System.Boolean,samcore.enu_tipoConsulta)">
	<summary>
 Obtiene una versión segura de una instrucción SQL
 </summary>
	<param name="inputSQL"></param>
	<returns></returns>
	<remarks>Usar cuando se usan textos ingresados por el usuario desde la interfaz, en instrucciones SQL dinámicas</remarks>
</member><member name="T:samcore.MiscelaneaBD">
	<summary>
 Mover alproyecto de capadatos/idae?
 </summary>
	<remarks></remarks>
</member><member name="T:samcore.StringHelper">
	<summary>
 Descargado de internet
 </summary>
	<remarks></remarks>
</member><member name="T:samcore.RSACrypto">
	<summary>
 Copiado desde internet:3 
 </summary>
	<remarks></remarks>
</member><member name="M:samcore.Aplicacion.f_int_idPerfilSuperAdministrador">
	<summary>
 ID del superAdministrador en la tabla de perfiles
 </summary>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Usuario.f_est_validarUsuario(System.String,System.String,System.String,System.String)">
	<summary>
 Realiza la validación del usuario que intenta ingresar al sistema
 </summary>
	<param name="p_str_login"></param>
	<param name="p_str_clave"></param>
	<param name="p_str_empresa">"" devuelve el id de la 1a empresa
 otro valor, devuelve el id del código respectivo
 </param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Usuario.s_cerrarsesionBD(System.Int32,System.Int32,System.String)">
	<summary>
	</summary>
	<param name="p_int_idSesion"></param>
	<param name="p_int_usuario"></param>
	<param name="p_str_licencia"></param>
	<remarks></remarks>
</member><member name="M:samcore.Usuario.f_str_usuarioYaEstaLogeado(System.Int32,System.String,System.String,System.String)">
	<summary>
 Indica si existe una sesion abierta con el usuario actual
 </summary>
	<param name="p_int_usuario"></param>
	<param name="p_str_eidConfig"></param>
	<param name="p_str_eidSesion"></param>
	<param name="p_str_campo"></param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Usuario.f_bol_cambiarClave(System.DateTime,System.String)">
	<summary>
 Determina si el usuario actual debe cambiar la clave
 </summary>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Usuario.s_cerrarsesiones(System.String,System.Int32@,System.Int32@)">
	<summary>
	</summary>
	<param name="p_int_minutossesion"></param>
	<param name="p_int_usuarios"></param>
	<param name="p_int_minutos"></param>
	<remarks></remarks>
</member><member name="M:samcore.Usuario.f_int_terceroClienteAutenticado(System.Int32,System.String)">
	<summary>
 Determina el cliente que aparece en el contacto asociado al usuario
 </summary>
	<remarks></remarks>
</member><member name="M:samcore.Usuario.s_cerrarSesionUsuarios(System.String,System.Int32)">
	<summary>
 Marca las sesiones huérfanas como cerradas en la base de datos.
 Adicionalmente actualiza el valor de minutos consumidos
 </summary>
	<param name="p_str_eid"></param>
	<remarks></remarks>
</member><member name="M:samcore.Usuario.f_int_numerodeSuperAdministradores(System.String)">
	<summary>
 Indica el # de usuarios con roles de superadministradores creados
 </summary>
	<param name="p_str_eid"></param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Usuario.s_setPermisos(System.Int32)">
	<summary>
 Establece la tabla de permisos para el perfil actual
 </summary>
	<param name="p_int_id_perfil"></param>
	<remarks></remarks>
</member><member name="M:samcore.Usuario.f_bln_tienePermiso(System.String,System.String)">
	<summary>
 Establece para el formulario dado si el perfil tiene permisos de edición,creación, impresión o eliminación
 </summary>
	<param name="p_str_formulario"></param>
	<param name="p_str_comando"></param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Usuario.f_bol_permisoPaginaEspecial(samcore.enu_tipoDocumento,System.String)">
	<summary>
 Determina si la pagina posee permisos, comparando por el nombrecomando del registro de la BD
 </summary>
	<param name="p_enu_tipoDocumento"></param>
	<param name="p_str_nombreControl"></param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:samcore.Usuario.f_bol_tienePermisoEnBarraHerramientas(System.Int32,System.String,System.String)">
	<summary>
 Busca si tiene permisos con tipo funcionalidad Boton Barra
 </summary>
	<param name="p_int_idPerfil"></param>
	<param name="p_str_tabla">controlPadre en la BD</param>
	<param name="p_str_comando">nombreComando en la bd</param>
	<returns>True si existe el permiso</returns>
	<remarks></remarks>
</member><member name="M:samcore.Usuario.f_bol_tienePermisoArchivosDeBarraHerramientas(System.Int32,System.String,System.String)">
	<summary>
 Busca si tiene permisos cno respecto a los archivos con tipo funcionalidad Boton Barra
 </summary>
	<param name="p_int_idPerfil"></param>
	<param name="p_str_tabla">nombreControl en la BD. nombre de la tabla a la que pertenece</param>
	<param name="p_str_comando">nombreComando en la BD. Es el permiso que se busca (ej: editar)</param>
	<returns>True si existe el permiso</returns>
	<remarks></remarks>
</member><member name="M:samcore.ws_samm.ws_samm.#ctor">
	<remarks/>
</member><member name="E:samcore.ws_samm.ws_samm.f_bol_IPExistenteCompleted">
	<remarks/>
</member><member name="E:samcore.ws_samm.ws_samm.f_str_registrarLicenciaDemoCompleted">
	<remarks/>
</member><member name="E:samcore.ws_samm.ws_samm.f_bol_registrarInstalacionCompleted">
	<remarks/>
</member><member name="E:samcore.ws_samm.ws_samm.f_bol_instalacionPermitidaCompleted">
	<remarks/>
</member><member name="E:samcore.ws_samm.ws_samm.f_str_obtenerLlaveCompleted">
	<remarks/>
</member><member name="E:samcore.ws_samm.ws_samm.f_bol_evaluarLicenciaCompleted">
	<remarks/>
</member><member name="E:samcore.ws_samm.ws_samm.f_str_obtenerSerialCompleted">
	<remarks/>
</member><member name="E:samcore.ws_samm.ws_samm.f_bol_primeraInstalacionCompleted">
	<remarks/>
</member><member name="E:samcore.ws_samm.ws_samm.f_str_datosTablaClaveCompleted">
	<remarks/>
</member><member name="E:samcore.ws_samm.ws_samm.f_str_linkDetalleVersionCompleted">
	<remarks/>
</member><member name="E:samcore.ws_samm.ws_samm.f_str_registrarErrorCompleted">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_bol_IPExistente(System.String)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_bol_IPExistenteAsync(System.String)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_bol_IPExistenteAsync(System.String,System.Object)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_str_registrarLicenciaDemo(System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_str_registrarLicenciaDemoAsync(System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_str_registrarLicenciaDemoAsync(System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.Object)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_bol_registrarInstalacion(System.String,System.String,System.String)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_bol_registrarInstalacionAsync(System.String,System.String,System.String)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_bol_registrarInstalacionAsync(System.String,System.String,System.String,System.Object)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_bol_instalacionPermitida(System.String)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_bol_instalacionPermitidaAsync(System.String)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_bol_instalacionPermitidaAsync(System.String,System.Object)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_str_obtenerLlave(System.String)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_str_obtenerLlaveAsync(System.String)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_str_obtenerLlaveAsync(System.String,System.Object)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_bol_evaluarLicencia(System.String[])">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_bol_evaluarLicenciaAsync(System.String[])">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_bol_evaluarLicenciaAsync(System.String[],System.Object)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_str_obtenerSerial(System.String)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_str_obtenerSerialAsync(System.String)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_str_obtenerSerialAsync(System.String,System.Object)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_bol_primeraInstalacion(System.String)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_bol_primeraInstalacionAsync(System.String)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_bol_primeraInstalacionAsync(System.String,System.Object)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_str_datosTablaClave">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_str_datosTablaClaveAsync">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_str_datosTablaClaveAsync(System.Object)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_str_linkDetalleVersion(System.String)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_str_linkDetalleVersionAsync(System.String)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_str_linkDetalleVersionAsync(System.String,System.Object)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_str_registrarError(System.String,System.String,System.String,System.String,System.String,System.String)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_str_registrarErrorAsync(System.String,System.String,System.String,System.String,System.String,System.String)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.f_str_registrarErrorAsync(System.String,System.String,System.String,System.String,System.String,System.String,System.Object)">
	<remarks/>
</member><member name="M:samcore.ws_samm.ws_samm.CancelAsync(System.Object)">
	<remarks/>
</member><member name="T:samcore.ws_samm.ws_samm">
	<remarks/>
</member><member name="T:samcore.ws_samm.f_bol_IPExistenteCompletedEventHandler">
	<remarks/>
</member><member name="P:samcore.ws_samm.f_bol_IPExistenteCompletedEventArgs.Result">
	<remarks/>
</member><member name="T:samcore.ws_samm.f_bol_IPExistenteCompletedEventArgs">
	<remarks/>
</member><member name="T:samcore.ws_samm.f_str_registrarLicenciaDemoCompletedEventHandler">
	<remarks/>
</member><member name="P:samcore.ws_samm.f_str_registrarLicenciaDemoCompletedEventArgs.Result">
	<remarks/>
</member><member name="T:samcore.ws_samm.f_str_registrarLicenciaDemoCompletedEventArgs">
	<remarks/>
</member><member name="T:samcore.ws_samm.f_bol_registrarInstalacionCompletedEventHandler">
	<remarks/>
</member><member name="P:samcore.ws_samm.f_bol_registrarInstalacionCompletedEventArgs.Result">
	<remarks/>
</member><member name="T:samcore.ws_samm.f_bol_registrarInstalacionCompletedEventArgs">
	<remarks/>
</member><member name="T:samcore.ws_samm.f_bol_instalacionPermitidaCompletedEventHandler">
	<remarks/>
</member><member name="P:samcore.ws_samm.f_bol_instalacionPermitidaCompletedEventArgs.Result">
	<remarks/>
</member><member name="T:samcore.ws_samm.f_bol_instalacionPermitidaCompletedEventArgs">
	<remarks/>
</member><member name="T:samcore.ws_samm.f_str_obtenerLlaveCompletedEventHandler">
	<remarks/>
</member><member name="P:samcore.ws_samm.f_str_obtenerLlaveCompletedEventArgs.Result">
	<remarks/>
</member><member name="T:samcore.ws_samm.f_str_obtenerLlaveCompletedEventArgs">
	<remarks/>
</member><member name="T:samcore.ws_samm.f_bol_evaluarLicenciaCompletedEventHandler">
	<remarks/>
</member><member name="P:samcore.ws_samm.f_bol_evaluarLicenciaCompletedEventArgs.Result">
	<remarks/>
</member><member name="T:samcore.ws_samm.f_bol_evaluarLicenciaCompletedEventArgs">
	<remarks/>
</member><member name="T:samcore.ws_samm.f_str_obtenerSerialCompletedEventHandler">
	<remarks/>
</member><member name="P:samcore.ws_samm.f_str_obtenerSerialCompletedEventArgs.Result">
	<remarks/>
</member><member name="T:samcore.ws_samm.f_str_obtenerSerialCompletedEventArgs">
	<remarks/>
</member><member name="T:samcore.ws_samm.f_bol_primeraInstalacionCompletedEventHandler">
	<remarks/>
</member><member name="P:samcore.ws_samm.f_bol_primeraInstalacionCompletedEventArgs.Result">
	<remarks/>
</member><member name="T:samcore.ws_samm.f_bol_primeraInstalacionCompletedEventArgs">
	<remarks/>
</member><member name="T:samcore.ws_samm.f_str_datosTablaClaveCompletedEventHandler">
	<remarks/>
</member><member name="P:samcore.ws_samm.f_str_datosTablaClaveCompletedEventArgs.Result">
	<remarks/>
</member><member name="T:samcore.ws_samm.f_str_datosTablaClaveCompletedEventArgs">
	<remarks/>
</member><member name="T:samcore.ws_samm.f_str_linkDetalleVersionCompletedEventHandler">
	<remarks/>
</member><member name="P:samcore.ws_samm.f_str_linkDetalleVersionCompletedEventArgs.Result">
	<remarks/>
</member><member name="T:samcore.ws_samm.f_str_linkDetalleVersionCompletedEventArgs">
	<remarks/>
</member><member name="T:samcore.ws_samm.f_str_registrarErrorCompletedEventHandler">
	<remarks/>
</member><member name="P:samcore.ws_samm.f_str_registrarErrorCompletedEventArgs.Result">
	<remarks/>
</member><member name="T:samcore.ws_samm.f_str_registrarErrorCompletedEventArgs">
	<remarks/>
</member>
</members>
</doc>